#!/bin/bash
## Copy this line ##
. $(dirname $(realpath $0))/../include.sh
## end


$mysqlcmd < "$SCRIPTPATH/db.sql"

cp /etc/amiserv5/Config.txt /etc/amiserv5/Config.txt.bak
# check if config has mysqluser and mysqlpassword
USEREXIST=`cat /etc/amiserv5/Config.txt | grep MYSQLUSER | wc -l`
PASSWORDEXIST=`cat /etc/amiserv5/Config.txt | grep MYSQLPASSWORD | wc -l`

if [ "$USEREXIST" == "0" ]
then
	sed -i "/MYSQLPORT.*/ a MYSQLUSER = amiserv5" /etc/amiserv5/Config.txt
else
	sed -i "s/^MYSQLUSER.*/MYSQLUSER = amiserv5/" /etc/amiserv5/Config.txt
fi


if [ "$PASSWORDEXIST" == "0" ]
then
	sed -i "/MYSQLUSER.*/ a MYSQLPASSWORD = SCvhgjzsSdvhvS4" /etc/amiserv5/Config.txt
else
	sed -i "s/^MYSQLPASSWORD.*/MYSQLPASSWORD = SCvhgjzsSdvhvS4/" /etc/amiserv5/Config.txt
fi


cnt=`cat /etc/amiserv5/Config.txt | grep AmiActionTimeout | wc -l`
if [ "$cnt" == "0" ]
then
	sed -i '/^AmiPassword.*$/a AmiActionTimeout = 10000' /etc/amiserv5/Config.txt
fi

sed -i '/^.*CDRDBLogin.*$/d' /etc/amiserv5/Config.txt
sed -i '/^.*CDRDBPassword.*$/d' /etc/amiserv5/Config.txt

# Update mysql server based on apply_patches.conf file
sed -i "s/^MYSQLIP.*/MYSQLIP = $DBHOST/" /etc/amiserv5/Config.txt


$mysqlcmd <<EOF
DROP USER "amiserv5"@"localhost";
EOF
$mysqlcmd <<EOF
CREATE USER "amiserv5"@"localhost" IDENTIFIED BY "SCvhgjzsSdvhvS4";
EOF
$mysqlcmd <<EOF
GRANT SELECT,DELETE,UPDATE,INSERT ON amiserv5.* TO "amiserv5"@"localhost";
GRANT SELECT,DELETE,UPDATE,INSERT ON asterisk.* TO "amiserv5"@"localhost";
GRANT SELECT,DELETE,UPDATE,INSERT ON ombutel.* TO "amiserv5"@"localhost";
GRANT SELECT,DELETE,UPDATE,INSERT ON supervision3.* TO "amiserv5"@"localhost";
GRANT SELECT,DELETE,UPDATE,INSERT ON chatplugin.* TO "amiserv5"@"localhost";
GRANT SELECT,DELETE,UPDATE,INSERT ON performance2.* TO "amiserv5"@"localhost";
FLUSH PRIVILEGES;
EOF

$mysqlcmd <<EOF
DROP USER "amiserv5"@"127.0.0.1";
EOF
$mysqlcmd <<EOF
CREATE USER "amiserv5"@"127.0.0.1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
EOF
$mysqlcmd <<EOF
GRANT SELECT,DELETE,UPDATE,INSERT ON amiserv5.* TO "amiserv5"@"127.0.0.1";
GRANT SELECT,DELETE,UPDATE,INSERT ON asterisk.* TO "amiserv5"@"127.0.0.1";
GRANT SELECT,DELETE,UPDATE,INSERT ON ombutel.* TO "amiserv5"@"127.0.0.1";
GRANT SELECT,DELETE,UPDATE,INSERT ON supervision3.* TO "amiserv5"@"127.0.0.1";
GRANT SELECT,DELETE,UPDATE,INSERT ON chatplugin.* TO "amiserv5"@"127.0.0.1";
GRANT SELECT,DELETE,UPDATE,INSERT ON performance2.* TO "amiserv5"@"127.0.0.1";
FLUSH PRIVILEGES;
EOF

$mysqlcmd <<EOF
DROP USER "amiserv5"@"::1";
EOF
$mysqlcmd <<EOF
CREATE USER "amiserv5"@"::1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
EOF
$mysqlcmd <<EOF
GRANT SELECT,DELETE,UPDATE,INSERT ON amiserv5.* TO "amiserv5"@"::1";
GRANT SELECT,DELETE,UPDATE,INSERT ON asterisk.* TO "amiserv5"@"::1";
GRANT SELECT,DELETE,UPDATE,INSERT ON ombutel.* TO "amiserv5"@"::1";
GRANT SELECT,DELETE,UPDATE,INSERT ON supervision3.* TO "amiserv5"@"::1";
GRANT SELECT,DELETE,UPDATE,INSERT ON chatplugin.* TO "amiserv5"@"::1";
GRANT SELECT,DELETE,UPDATE,INSERT ON performance2.* TO "amiserv5"@"::1";
FLUSH PRIVILEGES;
EOF

$mysqlcmd <<EOF
DROP USER "amiserv5"@"%";
EOF
$mysqlcmd <<EOF
CREATE USER "amiserv5"@"%" IDENTIFIED BY "SCvhgjzsSdvhvS4";
EOF
$mysqlcmd <<EOF
GRANT SELECT,DELETE,UPDATE,INSERT ON amiserv5.* TO "amiserv5"@"%";
GRANT SELECT,DELETE,UPDATE,INSERT ON asterisk.* TO "amiserv5"@"%";
GRANT SELECT,DELETE,UPDATE,INSERT ON ombutel.* TO "amiserv5"@"%";
GRANT SELECT,DELETE,UPDATE,INSERT ON supervision3.* TO "amiserv5"@"%";
GRANT SELECT,DELETE,UPDATE,INSERT ON chatplugin.* TO "amiserv5"@"%";
GRANT SELECT,DELETE,UPDATE,INSERT ON performance2.* TO "amiserv5"@"%";
FLUSH PRIVILEGES;
EOF

$mysqlcmd <<EOF
EOF
